package com.tofly.ghrq_route.module.survey.domain;

import com.tofly.ghrq_route.module.trouble.domain.AuditFileBean;

import org.greenrobot.greendao.annotation.Transient;

import java.io.Serializable;
import java.util.List;

@SuppressWarnings("serial")
public class SurveyBean implements Serializable {

    public static final String SURVEY_DATA_KEY = "survey_data";

    public static final String SURVEY_ID_KEY = "survey_id";

    public static final String SURVEY_POSITION_KEY = "survey_position";

    public static final String SURVEY_LIST_SELECT_TYPE = "survey_list_select_type";

    private String id;
    private int addDevice;         //新增设备（1.调压器（柜） 2.阀井 3.无）
    private String addDeviceName;
    private int addDeviceNum;      //新增设备数量（选阀井和调压器必填）
    private String buriedAddress;  //埋设地点
    private String buriedTime;     //埋设时间
    private String buriedUser;     // 埋设人员
    private String checkTime;      //探测时间
    private String code;           //调压器编码（埋地管选否必填）
    private String companyId;      //公司ID
    private String companyName;
    private String contacts;       //联系人
    private String contactsNumber; //联系人电话
    private String createTime;     //创建时间
    private String createUser;     //创建人
    private int current;
    private int delFlag;         //删除标记
    private String description;  //备注
    private int houseHolds;;     //户数
    private int isBuried;        //是否埋地管（0:否 1:是）
    private String isBuriedName;
    private String name;         // 工程名称
    private String notes;           //探测备注
    private String orderConfirmedId;  //工单确认人
    private int rejectedFlag;         //是否驳回 0否 1是
    private String rejectedFlagName;
    private String rejectedNote;      //驳回意见
    private String rejectedUser;      // 驳回人
    private String rejectedUserName;
    private int state;         //状态(1待探测，2完成探测)
    private String surveyUser;        //测绘人名称
    private int type;         //工程性质（1.商业 2.工业 3.民用 4.公服 5.燃气主管工程 6.改造整改）
    private String typeName;
    @Transient
    private List<AuditFileBean> reportFile;      //测绘前记录上报文件
    @Transient
    private List<AuditFileBean> detectFile;      //测绘检测上报文件

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getAddDevice() {
        return addDevice;
    }

    public void setAddDevice(int addDevice) {
        this.addDevice = addDevice;
    }

    public String getAddDeviceName() {
        return addDeviceName;
    }

    public void setAddDeviceName(String addDeviceName) {
        this.addDeviceName = addDeviceName;
    }

    public int getAddDeviceNum() {
        return addDeviceNum;
    }

    public void setAddDeviceNum(int addDeviceNum) {
        this.addDeviceNum = addDeviceNum;
    }

    public String getBuriedAddress() {
        return buriedAddress;
    }

    public void setBuriedAddress(String buriedAddress) {
        this.buriedAddress = buriedAddress;
    }

    public String getBuriedTime() {
        return buriedTime;
    }

    public void setBuriedTime(String buriedTime) {
        this.buriedTime = buriedTime;
    }

    public String getBuriedUser() {
        return buriedUser;
    }

    public void setBuriedUser(String buriedUser) {
        this.buriedUser = buriedUser;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactsNumber() {
        return contactsNumber;
    }

    public void setContactsNumber(String contactsNumber) {
        this.contactsNumber = contactsNumber;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public int getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(int delFlag) {
        this.delFlag = delFlag;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getHouseHolds() {
        return houseHolds;
    }

    public void setHouseHolds(int houseHolds) {
        this.houseHolds = houseHolds;
    }

    public int getIsBuried() {
        return isBuried;
    }

    public void setIsBuried(int isBuried) {
        this.isBuried = isBuried;
    }

    public String getIsBuriedName() {
        return isBuriedName;
    }

    public void setIsBuriedName(String isBuriedName) {
        this.isBuriedName = isBuriedName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getOrderConfirmedId() {
        return orderConfirmedId;
    }

    public void setOrderConfirmedId(String orderConfirmedId) {
        this.orderConfirmedId = orderConfirmedId;
    }

    public int getRejectedFlag() {
        return rejectedFlag;
    }

    public void setRejectedFlag(int rejectedFlag) {
        this.rejectedFlag = rejectedFlag;
    }

    public String getRejectedFlagName() {
        return rejectedFlagName;
    }

    public void setRejectedFlagName(String rejectedFlagName) {
        this.rejectedFlagName = rejectedFlagName;
    }

    public String getRejectedNote() {
        return rejectedNote;
    }

    public void setRejectedNote(String rejectedNote) {
        this.rejectedNote = rejectedNote;
    }

    public String getRejectedUser() {
        return rejectedUser;
    }

    public void setRejectedUser(String rejectedUser) {
        this.rejectedUser = rejectedUser;
    }

    public String getRejectedUserName() {
        return rejectedUserName;
    }

    public void setRejectedUserName(String rejectedUserName) {
        this.rejectedUserName = rejectedUserName;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getSurveyUser() {
        return surveyUser;
    }

    public void setSurveyUser(String surveyUser) {
        this.surveyUser = surveyUser;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public List<AuditFileBean> getReportFile() {
        return reportFile;
    }

    public void setReportFile(List<AuditFileBean> reportFile) {
        this.reportFile = reportFile;
    }

    public List<AuditFileBean> getDetectFile() {
        return detectFile;
    }

    public void setDetectFile(List<AuditFileBean> detectFile) {
        this.detectFile = detectFile;
    }
}
